Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory
Class BrowseActionCallback

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback
          org.teleal.cling.support.contentdirectory.BrowseActionCallback

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  ContentBrowseActionCallback

    public abstract class BrowseActionCallback

extends org.teleal.cling.controlpoint.ActionCallback

Invokes a "Browse" action and calls back with a `DIDLLite` instance ready to use.

Author:
  Christian Bauer

Nested Class Summary
`static class` | `BrowseActionCallback.Status`

Nested classes/interfaces inherited from class org.teleal.cling.controlpoint.ActionCallback
`org.teleal.cling.controlpoint.ActionCallback.Default`

Field Summary

Fields inherited from class org.teleal.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`BrowseActionCallback(org.teleal.cling.model.meta.Service service, java.lang.String containerId, BrowseFlag flag)`
`BrowseActionCallback(org.teleal.cling.model.meta.Service service, java.lang.String objectID, BrowseFlag flag, java.lang.String filter, long firstResult, java.lang.Long maxResults, SortCriterion... orderBy)`

Method Summary
`void` | `failure(org.teleal.cling.model.action.ActionInvocation invocation, org.teleal.cling.model.message.UpnpResponse operation)`
`abstract void` | `failure(java.lang.String failureMessage)`
`long` | `getDefaultMaxResults()`
`abstract void` | `received(org.teleal.cling.model.action.ActionInvocation actionInvocation, DIDLLite didl)`
`boolean` | `receivedRaw(org.teleal.cling.model.action.ActionInvocation actionInvocation, BrowseResult browseResult)`
`void` | `run()`
`void` | `success(org.teleal.cling.model.action.ActionInvocation invocation)`
`abstract void` | `updateStatus(BrowseActionCallback.Status status)`

Methods inherited from class org.teleal.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, getActionInvocation, getControlPoint, setControlPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BrowseActionCallback

    public BrowseActionCallback(org.teleal.cling.model.meta.Service service,
                                java.lang.String containerId,
                                BrowseFlag flag)

### BrowseActionCallback

    public BrowseActionCallback(org.teleal.cling.model.meta.Service service,
                                java.lang.String objectID,
                                BrowseFlag flag,
                                java.lang.String filter,
                                long firstResult,
                                java.lang.Long maxResults,
                                SortCriterion... orderBy)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `org.teleal.cling.controlpoint.ActionCallback`

### success

    public void success(org.teleal.cling.model.action.ActionInvocation invocation)

  Specified by:
    `success` in class `org.teleal.cling.controlpoint.ActionCallback`

### failure

    public void failure(org.teleal.cling.model.action.ActionInvocation invocation,
                        org.teleal.cling.model.message.UpnpResponse operation)

  Specified by:
    `failure` in class `org.teleal.cling.controlpoint.ActionCallback`

### getDefaultMaxResults

    public long getDefaultMaxResults()

### receivedRaw

    public boolean receivedRaw(org.teleal.cling.model.action.ActionInvocation actionInvocation,
                               BrowseResult browseResult)

### received

    public abstract void received(org.teleal.cling.model.action.ActionInvocation actionInvocation,
                                  DIDLLite didl)

### updateStatus

    public abstract void updateStatus(BrowseActionCallback.Status status)

### failure

    public abstract void failure(java.lang.String failureMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.